package ibase.webitm.ejb.mfg;

import java.sql.Timestamp;

public class DataBean 
{
 
	String itemCode="";
	Timestamp dueDate = null;
	double demand = 0, supply = 0,stockQty = 0,othSupply = 0,pendDOQty = 0, pendDRQty = 0, pendIndQty = 0 , pendPOQty = 0;
	String tranId = "", tranSer="";
	
	public String getItemCode() 
	{
		return itemCode;
	}
	public void setItemCode(String itemCode) 
	{
		this.itemCode = itemCode;
	}
	public Timestamp getDueDate() {
		return dueDate;
	}
	public void setDueDate(Timestamp dueDate) 
	{
		this.dueDate = dueDate;
	}
	public double getDemand() 
	{
		return demand;
	}
	public void setDemand(double demand) 
	{
		this.demand = demand;
	}
	public double getSupply() 
	{
		return supply;
	}
	public void setSupply(double supply) 
	{
		this.supply = supply;
	}
	public double getStockQty() 
	{
		return stockQty;
	}
	public void setStockQty(double stockQty) 
	{
		this.stockQty = stockQty;
	}
	public double getOthSupply()
	{
		return othSupply;
	}
	public void setOthSupply(double othSupply) 
	{
		this.othSupply = othSupply;
	}
	public double getPendDOQty() 
	{
		return pendDOQty;
	}
	public void setPendDOQty(double pendDOQty)
	{
		this.pendDOQty = pendDOQty;
	}
	public double getPendDRQty() {
		return pendDRQty;
	}
	public void setPendDRQty(double pendDRQty)
	{
		this.pendDRQty = pendDRQty;
	}
	public double getPendIndQty()
	{
		return pendIndQty;
	}
	public void setPendIndQty(double pendIndQty) 
	{
		this.pendIndQty = pendIndQty;
	}
	public double getPendPOQty()
	{
		return pendPOQty;
	}
	public void setPendPOQty(double pendPOQty)
	{
		this.pendPOQty = pendPOQty;
	}
	public String getTranId() 
	{
		return tranId;
	}
	public void setTranId(String tranId) 
	{
		this.tranId = tranId;
	}
	public String getTranSer() 
	{
		return tranSer;
	}
	public void setTranSer(String tranSer)
	{
		this.tranSer = tranSer;
	}
	
	
}
